<app-login-wrapper
  [isPopup]="isPopup"
  linkRoute="/account/register"
  linkText="Not&nbsp;registered? Sign&nbsp;up"
  (clickLink)="goToRegister.emit()"
>
  <form
    novalidate
    [ngrxFormState]="form"
    (submit)="onSubmit()"
    class="auth-form__form"
  >
    <app-non-field-messages
      *ngIf="errorMessage"
      [messages]="[errorMessage]"
    ></app-non-field-messages>

    <app-text-field
      label="Email"
      type="email"
      [ngrxFormControl]="form.controls.email"
      [isFormSubmitted]="form.isSubmitted"
      [tabIndex]="2"
    ></app-text-field>

    <ul
      *ngIf="form.isInvalid && form.isSubmitted"
      class="form-field__error-list"
    >
      <li *ngIf="form.errors._email" class="form-field__error" i18n>Enter your account's email address.</li>
    </ul>

    <app-text-field
      label="Password"
      type="password"
      [ngrxFormControl]="form.controls.password"
      [isFormSubmitted]="form.isSubmitted"
      [tabIndex]="3"
    >
      <aside-link
        tabindex="8"
        [link]="['/account/reset-password']"
        (click)="goToResetPassword.emit()"
        i18n
      ><span class="u-visible--all-but-small">Forgot? </span>Recover&nbsp;your&nbsp;account</aside-link>
    </app-text-field>

    <ul *ngIf="form.isSubmitted" class="form-field__error-list">
      <li *ngIf="form.errors._password" class="form-field__error" i18n>Enter your account's password.</li>
    </ul>

    <div *ngIf="!isExtension">
      <app-checkbox
        title="Stay logged in on this device"
        [control]="form.controls.rememberMe"
        tabNumber="4"
      ></app-checkbox>
    </div>

    <app-server-select
      *ngIf="isExtension"
      [showUrlControl]="form.controls.showUrl"
      [urlControl]="form.controls.url"
      [formErrors]="form.errors"
    ></app-server-select>

    <div class="auth-form__actions">
      <button
        id="loginSubmit"
        class="button button--large button--green"
        [disabled]="hasLoginStarted"
        type="submit"
        tabindex="7"
        i18n
      >Log in</button>

      <progress-indicator
        [inProgress]="hasLoginStarted"
        inProgressText="Logging In"
        [completed]="hasLoginFinished"
        completedText="Logged In"
      ></progress-indicator>
    </div>
  </form>
</app-login-wrapper>
